c...Code containing information about the WF file and events

c...General info
      integer luwf
      parameter(luwf=15)
      real*8 pi
      parameter(pi=3.141592653589793238d0)

c...
      integer wfrunid
      common/wfgen/wfrunid

c...Header info
      character*80 wffile
      character*8 wfver
      character*80 wfprog,wfpara,wfdate
      real*8 wfmneu
      character*2 wfwh
      integer wfch,wfnmuon,wfwtype
      
      common/wfheader/wfmneu,wfch,wfnmuon,wfwtype,wfwh,
     &  wffile,wfver,wfprog,wfpara,wfdate

c...Format 5010 had problems on Linux with gcc 3.1, using 5011 instead
 5010 format('Parameters: ',1x,'mneu=',F9.2,1x,'where=',A2,
     &  1x,'channel=',I2,1x,'nevent=',I8,1x,'wtype=',I2)
 5011 format(A12,1x,A5,F9.2,1x,A6,A2,
     &  1x,A8,I2,1x,A7,I8,1x,A6,I2)

      
c...Event info
      integer wfnpmax
      parameter(wfnpmax=25) ! maximum number particles of each kind

      integer wfevid
      common/wfevent/wfevid

      integer wfnmu,wfnnu,wfnevok
      real*8 wfmuth(wfnpmax),wfmuphi(wfnpmax),wfmue(wfnpmax),
     &  wfmuw(wfnpmax)
      real*8 wfnuth(wfnpmax),wfnuphi(wfnpmax),wfnue(wfnpmax),
     &  wfnuw(wfnpmax)
      common/wfmu/wfmuth,wfmuphi,wfmue,wfmuw,wfnmu,wfnevok
      common/wfnu/wfnuth,wfnuphi,wfnue,wfnuw,wfnnu


c...Line reading
      character*80 wfline
      character*7 wfpart
      character*5 wfscr5
      real*8 wfth,wfphi,wfe,wfw

      save /wfgen/,/wfheader/,/wfevent/,/wfmu/

 5001 format(A5,1x,I8)
 5002 format(A7,4(1x,e12.6))
 5003 format(A2)
 5005 format(A80)
